Name:           perl-GD-Barcode
Version:        1.15
Release:        7%{?dist}
Summary:        Create barcode image with GD
# see Barcode.pm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/GD-Barcode/
Source0:        http://www.cpan.org/authors/id/K/KW/KWITKNR/GD-Barcode-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(ExtUtils::MakeMaker) 
# cpan
BuildRequires:  perl(GD)

# definitely not picked up automagically.
Requires:       perl(GD)

%description
GD::Barcode is a subclass of GD and allows you to create barcode images 
with GD. 

%prep
%setup -q -n GD-Barcode-%{version}

find sample/ -type f -exec sed -i 's/\r//' {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README sample/ test.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.15-7
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.15-6
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.15-3
- rebuild for new perl

* Mon Jun 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.15-2
- bump

* Mon May 28 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.15-1
- Specfile autogenerated by cpanspec 1.71.
